<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.muyu</groupId>
        <artifactId>cloud-modules</artifactId>
        <version>3.6.3</version>
    </parent>
    <description>
        cloud-modules-carData数据处理模块
    </description>
    <artifactId>cloud-modules-carData</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <dependencies>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-modules-enterprise-cache</artifactId>
        </dependency>
        <!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- Mysql Connector -->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>

        <!-- MuYu Common DataSource -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datasource</artifactId>
        </dependency>

        <!-- MuYu Common DataScope -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datascope</artifactId>
        </dependency>

        <!-- MuYu Common Log -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-log</artifactId>
        </dependency>

        <!-- 接口模块 -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-api-doc</artifactId>
        </dependency>

        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-core</artifactId>
        </dependency>

        <dependency>
            <groupId>com.github.ben-manes.caffeine</groupId>
            <artifactId>caffeine</artifactId>
            <version>2.9.3</version>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-kafka</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.iotdb</groupId>
            <artifactId>iotdb-session</artifactId>
            <version>0.13.1</version>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-rabbit</artifactId>
        </dependency>
    </dependencies>
</project>
